Skip to main content

Get all contracts for a specific construction job

GEThttps://api.propexo.com/v1/construction-jobs/:construction_job_id/contracts

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

construction_job_id stringrequired

The Propexo unique identifier for the construction job

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the contract

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Job CostExportContract
    Example: 12345
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Job CostExportContract
    Example: 12345
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI

    Example: null
    x_construction_job_idstring | nullnullablerequired

    The external ID of the construction job from the integration vendor

    InterfaceMethod
    Job CostExportContract
    Example: 12345
    x_vendor_idstring | nullnullablerequired

    The external ID of the vendor from the integration vendor

    InterfaceMethod
    Job CostExportContract
    Example: 12345
    custom_data object | nullrequired
    object
    end_datestring | nullnullablerequired

    The end date associated with the contract

    InterfaceMethod
    Job CostExportContract
    Example: 2024-05-30T00:00:00.000Z
    expense_typestring | nullnullablerequired

    The expense type of the contract

    InterfaceMethod
    Job CostExportContract
    Example: Tenant Improvement
    invoiced_total_in_centsnumber | nullnullablerequired

    The total amount invoiced, in cents, for the contract

    InterfaceMethod
    Job CostExportContract
    Example: 400
    notesstring | nullnullablerequired

    Notes associated with the contract

    InterfaceMethod
    Job CostExportContract
    Example: Unit #50 Renovations Contract
    original_amount_in_centsnumber | nullnullablerequired

    The original amount of the contract

    InterfaceMethod
    Job CostExportContract
    Example: 1000
    retention_percentstring | nullnullablerequired

    The retention percent of the contract

    InterfaceMethod
    Job CostExportContract
    Example: 2.000000
    start_datestring | nullnullablerequired

    The start date associated with the contract

    InterfaceMethod
    Job CostExportContract
    Example: 2024-05-30T00:00:00.000Z
    status_normalizednullrequired

    The normalized status for the contract

    Notice

    This field will always be null for YARDI

    Example: null
    status_rawstring | nullnullablerequired

    The raw status associated with the contract

    InterfaceMethod
    Job CostExportContract
    Example: Approved
    total_amount_in_centsnumber | nullnullablerequired

    The total amount of the contract

    InterfaceMethod
    Job CostExportContract
    Example: 1000
    construction_job_idstring | nullnullablerequired

    The Propexo unique identifier for the construction job

    InterfaceMethod
    Job CostExportContract
    Example: testintegration:testproperty:12345
    vendor_idstring | nullnullablerequired

    The Propexo unique identifier for the vendor

    InterfaceMethod
    Job CostExportContract
    Example: testintegration:testproperty:12345
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum24required

    The property management system of record

    Show 13 enum values
    YARDIAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI_REST
    Example: YARDI
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/construction-jobs/:construction_job_id/contracts
curl https://api.propexo.com/v1/construction-jobs/:construction_job_id/contracts \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "12345",
"x_property_id": "12345",
"x_location_id": null,
"x_construction_job_id": "12345",
"x_vendor_id": "12345",
"custom_data": "Unknown Type: object,null",
"end_date": "2024-05-30T00:00:00.000Z",
"expense_type": "Tenant Improvement",
"invoiced_total_in_cents": 400,
"notes": "Unit #50 Renovations Contract",
"original_amount_in_cents": 1000,
"retention_percent": "2.000000",
"start_date": "2024-05-30T00:00:00.000Z",
"status_normalized": null,
"status_raw": "Approved",
"total_amount_in_cents": 1000,
"construction_job_id": "testintegration:testproperty:12345",
"vendor_id": "testintegration:testproperty:12345",
"property_id": "clwi5xiix000008l6ctdgafyh",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI"
}
]
}